Subject: [BUG?] Re: fail to svn clone debian's kernel repository

From: Nicolas Sebrecht <[email-masked]>
Date: Tue, 2 Mar 2010 20:54:54 +0100

The 01/03/10, Sebastian Pipping wrote:
> On 06/10/09 18:05, Uwe Kleine-König wrote:
> > Hello,
> > 
> > using git v1.6.3.1 from Debian I fail to successfully run
> > 
> > 	git svn clone svn://svn.debian.org/kernel/dists/trunk/linux-2.6
> > 
> > It runs for some time and then ends in:
> > 
> > 	...
> > 	r4695 = f552d98386b301cbeaa3b5a20f9e9d5d3c9c4886 (git-svn)
> > 		M	debian/arch/alpha/defines
> > 	r4696 = 18c0a37de057d24955b66e8f49db0791f6018288 (git-svn)

<...>

> > 	Invalid filesystem path syntax: Cannot replace a directory from within at /usr/lib/git-core/git-svn line 4388
> 
> I have run into a similar problem, both with Git 1.7.0 as well as with
> Git via Git.
> 
> Has anybody been able to work around this?
> Is anybody working on a fix?

I've stopped cloning at r10252 with current next version. I didn't
notice any problem.

Does the tests pass for you ?

  $ cd t
  $ make

-- 
Nicolas Sebrecht